List saved payment methods

Returns the saved payment methods available to your organisation for API Point purchases. Enable API Point purchases and save your settings before using this endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

List saved payment methods

GET https://api.servertastic.com/v3/points/payment-methods

Use this endpoint to retrieve the saved payment methods available to your organisation for API Point purchases.

Before using the Points API, enable API Point purchases in your Servertastic account and save your settings.

Replace YOUR_API_KEY with your organisation API key.

curl 'https://api.servertastic.com/v3/points/payment-methods' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Accept: application/json'

A successful response returns the payment methods saved for your organisation:

{
  "status": "success",
  "data": {
    "payment_methods": [
      {
        "id": "card_example",
        "label": "Visa ending 4242"
      }
    ]
  }
}

Use an id from data.payment_methods as the payment_source_id when purchasing Points.

API payment method IDs are also shown on Payment Details after API Point purchases are enabled.

Possible responses

HTTP statusMeaning
200Payment methods returned
403Invalid API key
404API Point top-ups are not available
502Payment methods are temporarily unavailable

If payment methods cannot be loaded, wait and try the request again later.

Responses

403

Invalid API key

404

API Point top-ups are not available

502

Payment methods are temporarily unavailable

Language
Credentials
Bearer
Organisation API key
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json